Subject: Re: g77 for b20
From: [email-masked] (Dr David Coe)

5 Dec 1998 00:56:40 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Jack A Walker" <[email-masked]>, <[email-masked]>

Check out the pointer to Mumit Khan's additions of g77 and objc on the the
main Cygwin page.

Be aware however that octave no longer compiles cleanly under egcs-1.1
neither for Linux nor for Cygwin. The src tree contains quite a few stanzas
now requiring attention such as:

class
tree_boolean_expression : public tree_binary_expression
{
public:

  enum type
    {
      unknown,
      and,
      or
    };

  tree_boolean_expression (int l = -1, int c = -1, type t)
    : tree_binary_expression (l, c), etype (t) { }

  tree_boolean_expression (tree_expression *a, tree_expression *b,
      int l = -1, int c = -1, type t = unknown)
    : tree_binary_expression (a, b, l, c), etype (t) { }

where the uninitialised type t produces diagnostics:

c++ -c  -I. -I.. -I../liboctave -I../src -I../libcruft/misc  -I../glob -I../
glob -DHAVE_CONFIG_H -mieee-fp -fno-rtti -fno-exceptions -fno-implicit-templ
ates -O2 data.cc
In file included from ov.h:43,
                 from variables.h:38,
                 from defun-int.h:26,
                 from defun.h:30,
                 from data.cc:43:
pt-exp.h:257: default argument missing for parameter 3 of
`tree_boolean_expression::tree_boolean_expression(int = -1,int = -1, enum
tree_boolean_expression::type)'
make: *** [data.o] Error 1

---
David Coe

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".